com.mxgraph.shape

## Class mxDefaultTextShape

- java.lang.Object
- - com.mxgraph.shape.mxDefaultTextShape

- All Implemented Interfaces:
    mxITextShape

      public class mxDefaultTextShape
      extends java.lang.Object
      implements mxITextShape

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxDefaultTextShape()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `paintShape(mxGraphics2DCanvas canvas, java.lang.String text, mxCellState state, java.util.Map<java.lang.String,java.lang.Object> style)`
    `protected void` | `postProcessLine(java.lang.String text, java.lang.String line, java.awt.FontMetrics fm, mxGraphics2DCanvas canvas, int x, int y)` Hook to add functionality after a line has been drawn

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### mxDefaultTextShape

          public mxDefaultTextShape()

  - ### Method Detail

    - #### paintShape

          public void paintShape(mxGraphics2DCanvas canvas,
                        java.lang.String text,
                        mxCellState state,
                        java.util.Map<java.lang.String,java.lang.Object> style)

      Specified by:
        `paintShape` in interface `mxITextShape`

    - #### postProcessLine

          protected void postProcessLine(java.lang.String text,
                             java.lang.String line,
                             java.awt.FontMetrics fm,
                             mxGraphics2DCanvas canvas,
                             int x,
                             int y)

      Hook to add functionality after a line has been drawn
      Parameters:
        `text` - the entire label text
        `line` - the line at the specified location
        `fm` - the text font metrics
        `canvas` - the canvas object currently being painted to
        `x` - the x co-ord of the baseline of the text line
        `y` - the y co-ord of the baseline of the text line

Copyright (c) 2010 Gaudenz Alder. All rights reserved.